<?php

// core/Loader.php

class Loader {

    private $models = [];

    public function view($view, $data = []) {
        foreach ($data as $key => $value) {
            $$key = $value;
        }
        include "views/$view.html.php";
    }

    public function load($view = null, $data = []) {

        $data = $this->inject_model_data($data);

        $this->define_helper();
        $this->view('header', $data);
        $this->view('top_bar', $data);
        if ($view !== null) {
            $this->view($view, $data);
        }
        $this->view('footer');
    }

    public function site_url($url) {
        return "/index.php/$url";
    }

    public function define_helper() {

        function set_value($name) {
            return filter_input(INPUT_POST, $name, FILTER_SANITIZE_SPECIAL_CHARS, ['options' => ['default' => '']]);
            }

    }

    public function add_model($model_name, $model) {
        $this->models[$model_name] = $model;
    }

    private function inject_model_data($data) {
        foreach ($this->models as $model) {
            $data = $model->inject_data($data);
        }
        return $data;
    }

    public function redirect($url) {
        header("Location: $url");
    }

}
